This page was not yet optimized for use on mobile devices.
Juniper Networks vSRX Virtual Firewall
Certificate details
| Certificate ID | #3336 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 03.12.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The vSRX delivers a complete and integrated virtual security solution, including unified threat management(UTM), intrusion detection and prevention (IDP), granular application control and robust networking. It provides seamless automated life cycle management capabilities making it an ideal solution for Service Providers, Cloud and Enterprise deployments. The vSRX supports Juniper Networks Contrail, OpenContrail, Openstack and other third-party solutions. |
| Tested configurations |
|
| Vendor | Juniper Networks, Inc. http://www.juniper.net/ |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, Triple-DES, TDES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, RSA 4096, ECDH, ECDSA, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-512, MD5Schemes
Key Exchange, AEADProtocols
SSH, SSHv2, IKE, IKEv2, IKEv1, IPsecRandomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, CTR, GCMSecurity level
Level 1, level 2Standards
FIPS 140-2, FIPS140-2, FIPS PUB 140-2, SP 800-38D, SP 800-67, SP 800-135, SP 800-90A, RFC 2409, RFC 4251, RFC 7296, RFC 6071, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3336,
"dgst": "c6a99dc9b0b68c14",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#3506",
"#3502",
"DRBG#2045",
"SHS#4256",
"AES#5305",
"#3538",
"#4256",
"#1771",
"#5341",
"AES#5306",
"AES#5341",
"HMAC#3502",
"CVL#1772",
"#5305",
"#1772",
"#2045",
"DRBG#2044",
"SHS#4260",
"#2700",
"SHS#4263",
"Triple-DES#2682",
"HMAC#3506",
"RSA#2840",
"ECDSA#1391",
"HMAC#3510",
"SHS#4292",
"SHS#4264",
"KTS#3510",
"#4260",
"#5306",
"ECDSA#1390",
"#2040",
"HMAC#3509",
"Triple-DES#2681",
"#2044",
"#1391",
"#3509",
"#4292",
"Triple-DES#2700",
"KTS#3509",
"CVL#1771",
"KTS#2681",
"HMAC#3538",
"DRBG#2040",
"KTS#2682",
"#1390",
"RSA#2841"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 13
},
"ECDSA": {
"ECDSA": 26
}
},
"FF": {
"DH": {
"DH": 4,
"Diffie-Hellman": 20
},
"DSA": {
"DSA": 3
}
},
"RSA": {
"RSA 2048": 11,
"RSA 4096": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 13
},
"CTR": {
"CTR": 2
},
"GCM": {
"GCM": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 2
}
},
"crypto_protocol": {
"IKE": {
"IKE": 21,
"IKEv1": 6,
"IKEv2": 7
},
"IPsec": {
"IPsec": 19
},
"SSH": {
"SSH": 35,
"SSHv2": 3
}
},
"crypto_scheme": {
"AEAD": {
"AEAD": 3
},
"KEX": {
"Key Exchange": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 50,
"P-384": 36,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#2681": 2,
"#2682": 2,
"#3509": 4,
"#3510": 4,
"#5305": 2,
"#5306": 2
}
},
"fips_certlike": {
"Certlike": {
"AES CBC 128/192/256": 5,
"AES Cert. #5305": 2,
"AES Cert. #5306": 2,
"AES GCM 11": 1,
"Cert. #3509 AES": 1,
"Cert. #3510 AES": 1,
"DRBG 2": 1,
"HMAC Cert. #3509": 8,
"HMAC Cert. #3510": 8,
"HMAC SHA-1": 1,
"HMAC SHA-256": 4,
"HMAC-SHA- 1": 1,
"HMAC-SHA- 1-96": 5,
"HMAC-SHA- 256": 1,
"HMAC-SHA- 512": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-256": 8,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 2,
"RSA 2048": 11,
"RSA 4096": 2,
"SHA 1, 256": 1,
"SHA 256": 8,
"SHA 384": 2,
"SHA-1": 8,
"SHA-256": 16,
"SHA-384": 2,
"SHA-512": 3,
"SHA1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 2": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 8,
"SHA1": 1
},
"SHA2": {
"SHA-256": 20,
"SHA-384": 1,
"SHA-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 14
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 6,
"FIPS PUB 140-2": 1,
"FIPS140-2": 1
},
"NIST": {
"SP 800-135": 3,
"SP 800-38D": 2,
"SP 800-67": 3,
"SP 800-90A": 7
},
"RFC": {
"RFC 2409": 1,
"RFC 4251": 1,
"RFC 6071": 1,
"RFC 7296": 1
},
"X509": {
"X.509": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 25
},
"CAST": {
"CAST": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 3,
"Triple-DES": 17
}
},
"constructions": {
"MAC": {
"HMAC": 30,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#2045",
"SHS#4256",
"AES#5305",
"AES#5306",
"AES#5341",
"HMAC#3502",
"CVL#1772",
"DRBG#2044",
"SHS#4260",
"SHS#4263",
"Triple-DES#2682",
"HMAC#3506",
"RSA#2840",
"ECDSA#1391",
"HMAC#3510",
"SHS#4292",
"SHS#4264",
"KTS#3510",
"ECDSA#1390",
"HMAC#3509",
"Triple-DES#2681",
"Triple-DES#2700",
"KTS#3509",
"CVL#1771",
"KTS#2681",
"HMAC#3538",
"DRBG#2040",
"KTS#2682",
"RSA#2841"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#5305",
"#3509",
"#3506",
"#4292",
"#1772",
"#4260",
"#3502",
"#5306",
"#2045",
"#2700",
"#2040",
"#3538",
"#5341",
"#4256",
"#1771",
"#1390",
"#2044",
"#1391"
]
},
"policy_metadata": {
"/Author": "Jennifer Brady",
"/CreationDate": "D:20181105110456-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20181105110456-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"/Subject": "FIPS 140-2 Security Policy Template",
"pdf_file_size_bytes": 1215975,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://www.juniper.net/support/downloads/?p=vsrx#sw",
"https://www.juniper.net/documentation/en_US/vsrx/information-products/pathway-pages/security-vsrx-vmware-guide-pwp.pdf",
"http://www.juniper.net/assets/us/en/local/pdf/datasheets/1000489-en.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 24
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f3bda07dce3cebc788ec2a27b0fa46fe63f6e276b05111c053ddd20c415cb69f",
"source_hash": "3705be9dd6e1fed23351e2fa7f5db2f51a7246358fb7d192177371f5976d2a55",
"txt_hash": "405be381a5398976050ab3c84d09ec0609ceeca746830fbc383eacf7b4084f16"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/Dec2018Cert.pdf",
"date_sunset": null,
"description": "The vSRX delivers a complete and integrated virtual security solution, including unified threat management(UTM), intrusion detection and prevention (IDP), granular application control and robust networking. It provides seamless automated life cycle management capabilities making it an ideal solution for Service Providers, Cloud and Enterprise deployments. The vSRX supports Juniper Networks Contrail, OpenContrail, Openstack and other third-party solutions.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Physical Security: N/A",
"Design Assurance: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Juniper Networks vSRX Virtual Firewall",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "Junos OS 17.4R1-S1",
"tested_conf": [
"Junos OS 17.4R1-S1 on VMWare ESXi 6.0 running on a HP ProLiant DL380 Gen9 Server with Intel Xeon E5 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-12-03",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "Juniper Networks, Inc.",
"vendor_url": "http://www.juniper.net/"
}
}